[general]
* **i-net Crystal-Clear has been renamed into i-net Clear Reports:** The name of version 2011 (version 11.0) is now i-net Clear Reports.  Drop "Crystal", focus on clear reports - simple name, simple yet powerful reporting: i-net Clear Reports.
* **Java 6 required:** The i-net Designer and the i-net Clear Reports server now requires Java 6 as minimum version of the Java virtual machine. The i-net Clear Reports viewer requires Java 5.
* **i-net Clear Reports .NET:** With i-net Clear Reports .NET you are no longer bound to the Java platform but can take advantage of i-net Clear Reports' simple and powerful reporting right within your own .NET application.
* **i-net Clear Reports for mobile devices:** i-net software offers free Apps to connect to your i-net Clear Reports repository and run reports from your mobile device (Clear Reports for iOS™, Clear Reports for Android™).

[general:de]
* **i-net Crystal-Clear wurde umbenannt in i-net Clear Reports:** Der Name der Version 2011 (Version 11.0) ist nun i-net Clear Reports.  Weg mit "Crystal", hin zu klaren Berichten - einfacher Name, einfaches, aber leistungsstarkes Reporting: i-net Clear Reports.
* **Java 6 erforderlich:** Der i-net Designer und der i-net Clear Reports Server benötigen jetzt Java 6 als Mindestversion der Java Virtual Machine. Für den i-net Clear Reports Viewer ist Java 5 erforderlich.
* **i-net Clear Reports .NET:** Mit i-net Clear Reports .NET sind Sie nicht mehr an die Java-Plattform gebunden, sondern können die Vorteile des einfachen und leistungsstarken Reporting von i-net Clear Reports direkt in Ihrer eigenen .NET-Anwendung nutzen.
* **i-net Clear Reports für mobile Geräte:** i-net Software bietet kostenlose Apps an, um sich mit Ihrem i-net Clear Reports Repository zu verbinden und Berichte von Ihrem mobilen Gerät aus auszuführen (Clear Reports für iOS™, Clear Reports für Android™).

[changes]
* Encyption of PDF files with user and/or owner password supported.
* To improve the visual appearance of the bar, area or pie charts, it is now possible to define a vertical or horizontal color gradient.
* Improved error handling for the case that the Report Reader tool which handles the reading of Crystal Reports templates is missing.
* PDF export: 
  * DSA signatures just like RSA signatures are now supported.
  * EUDC characters will be replaced with logical font (for example SansSerif) as for embedded fonts.
* Native boolean type of PostgreSQL database supported.

#### Changed Behavior
* Java 6 required.
* The changing of the table alias modifies now the chart color and other property formulas too.
* Some property methods like setXXXFormula(FormulaField f), which did not check the type of the formula will now throw an IllegalStateException if the FormulaField has not the type of a PropertyFormula.
* The following deprecated report URL parameter are no longer supported: "dll", "host", "catalog", "database", "schema", "user", "url". Use the report URL parameter "datasource" instead.
* The Java viewer now supports EUDC replacement for logical fonts as well.
* The formula statement 'if <condition> then <result>' in the record selection formula is now optimized to 'false' in case the condition is not met.
* During export to Excel the sheet names are checked for not permitted characters, like '['.
* The custom formatting of a group field elements is now possible.
* A rare problem occurred when loading older reports from Crystal Reports 9 and before which contained multiple summaries used in formula fields. The error was "Report file not found."
* For backward compatibility the usage of the string "true" and "false" as a boolean in a record selection formula is possble for PostgreSQL database.

#### API Changes
* Added Classes
  * com.inet.problemfinder.ProblemFinder (and subclasses)
* Added Constants
  * ReportProperties.PAPER_TABLOID
* Added Methods
  * com.inet.report.chart.plot.AbstractPlot
    * getGradientSetting()
    * setGradientSetting(GradientSetting)
* Removed Constants
  * ReportProperties.PATER_TABLOID
* Removed Deprecated Classes, Methods and Constants
  * com.inet.report.RDC
    * getConfigurationProperties()
    * setConfigurationProperties(Properties)
    * getCrystalClearPropertyPath()

### i-net Clear Reports viewer
* In the export dialog it is now possible to specify user and/or owner password for the encryption of created PDF files.

#### Changed Behavior
* Java 5 required.

### i-net Designer
* Page Layout dialog has been reworked.
  * Preview is now available showing all margins, gaps and columns with sample data.
  * A lot of bugs has been fixed.
  * The dialog has a new and improved look&feel.
  * Improved error handling.
  * New labels from Avery and Herma added.
* Formula Editor dialog has been reworked.
  * Now it possible to create/edit multiple formula within the Formula Editor without closing and opening it again.
  * The dialog has a new and improved look&feel.
  * New formula function 'SectionPosition' added. It returns the relative position of the current section on the page.
  * It is possible to create User Defined Functions for the report within Formula Editor.
* Problem Finder added to show and fix warnings in the report design. If enabled then it will be displayed on the left side under the field browser.
* New formula function signature for 'ToWords' added. It allows to set the translation locale.
* Gradients in charts supported.
* When starting the Free Designer Edition of i-net Clear Reports, a new configuration is created for the current user if one does not exist yet.
* Parameter Field Properties:
  * It is now possible to enter formulas for default values in the i-net Designer or via API (see class FormulaDefaultValue). This means for example that you can enter a formula "currentdate" as a default value for a date prompt. This will cause the current date to always be a default value for this prompt.
* Feature "Format Painter" added.
* Error dialogs in i-net Designer now showing error messages from the report engine including error numbers.
* "Report Data Cache" added. It stores the report data to reduce the count of database requests in i-net Designer. It can be activated/deactivated in the configuration manager category "Performance".

#### Changed Behavior
* Java 6 required.
* Performance flaw has been improved, when deleting a crosstab with a lot of rows or/and columns.
* Chart Properties: It is now supported to set different chart color formulas for combined charts.
* Designer will now use the column alias (if set) to display the database fields.
* The bar width property in the plot tab of chart properties dialog works now with all configurations of dataset and with stacked bar chart too.
* Page Layout dialog: The available paper formats now appear to be grouped.
* Various error messages have been improved and details added.
* In various cases in the i-net Designer, the i-net Designer would "freeze up" until the database returned information. This information is now fetched as a background operation, keeping the visuals responsive.
* The status bar shows position and size of the selected report element in the section of the design view.
* Problem Finder:
  * will no longer replace the complete tree but update it instead in order to better keep the expansion/selection-state.
  * is now able to fix found problems of subreports directly from the main-report.
  * now shows a new warning when the bean-class for a used java bean is not available. 

#### API Changes
* Removed Methods
  * com.inet.designer.AbstractDesignerDataModel
    * getCustomReportTypes()
  * com.inet.designer.DesignerDataModel
    * getCustomReportTypes()
    * isOpenDriverLibrariesAllowed()
    * setOpenDriverLibrariesAllowed(boolean)
* Removed Deprecated Methods
  * com.inet.designer.DesignerDataModel
    * chooseReportFile(Component)
  * com.inet.designer.BasicDesignerDataModel
    * chooseReportFile(Component)

### Ad Hoc Reporting
* For the AdHoc Swing client a MessageAdapter can now be implemented and set in the AHConfig. This adapter will be called for any message dialog of the AdHoc client thus allowing to implement custom message handling.

### Configuration Manager
* Properties catalog and schema added to the data source configuration, so that it is possible change the values from design time.

#### Changed Behavior
* It is now possible to add network shares as repository locations in the remote configuration manager.
* Backslashes in user names are converted into slahes in categories "User Directories", "Report Permissions" and "System Permissions".  

### Repository
* The repository now allows the usage of user directories.

### Scheduler
* When adding a report action, "scanning prompts" from reports now no longer displays a list of default values for prompts which only accept one value. Instead, the first default value is entered as a default which can be changed manually.

### Setup
* Name of the default servlet context is "reporting" instead of "crystalclear".
* Websphere version 7 (or higher) is required because Java 6 (or higher) is required.
* Datasource mapping dialog for Weblogic and Websphere application server removed.

### .Net Edition
* If the .NET-based Clear Reports service is started when the port is already blocked by another instance, a better error message is now displayed.

[changes:de]
* Verschlüsselung von PDF-Dateien mit Benutzer- und/oder Besitzerpasswort unterstützt.
* Um das visuelle Erscheinungsbild von Balken-, Flächen- oder Kreisdiagrammen zu verbessern, ist es jetzt möglich, einen vertikalen oder horizontalen Farbverlauf zu definieren.
* Verbesserte Fehlerbehandlung für den Fall, dass das Report Reader Tool, das das Lesen von Crystal Reports Vorlagen übernimmt, fehlt.
* PDF-Export:
  * DSA-Signaturen werden nun genauso wie RSA-Signaturen unterstützt.
  * EUDC-Zeichen werden wie bei eingebetteten Schriftarten durch logische Schriftarten (z. B. SansSerif) ersetzt.
* Native boolesche Typen von PostgreSQL-Datenbanken werden unterstützt.

#### Geändertes Verhalten
* Java 6 erforderlich.
* Das Ändern des Tabellenalias modifiziert nun auch die Diagrammfarbe und andere Eigenschaftsformeln.
* Einige Eigenschaftsmethoden wie setXXXFormula(FormulaField f), die den Typ der Formel nicht überprüften, lösen jetzt eine IllegalStateException aus, wenn das FormulaField nicht den Typ einer PropertyFormula hat.
* Die folgenden veralteten URL-Parameter für Berichte werden nicht mehr unterstützt: "dll", "host", "catalog", "database", "schema", "user", "url". Verwenden Sie stattdessen den Berichts-URL-Parameter "datasource".
* Der Java-Viewer unterstützt nun auch die EUDC-Ersetzung für logische Schriftarten.
* Die Formelanweisung 'if <Bedingung> then <Ergebnis>' in der Datensatzauswahlformel wird jetzt auf 'false' optimiert, wenn die Bedingung nicht erfüllt ist.
* Beim Export nach Excel werden die Blattnamen auf nicht erlaubte Zeichen, wie '[', geprüft.
* Die benutzerdefinierte Formatierung von Gruppenfeldelementen ist nun möglich.
* Ein seltenes Problem trat beim Laden älterer Berichte aus Crystal Reports 9 und früher auf, die mehrere in Formelfeldern verwendete Zusammenfassungen enthielten. Der Fehler lautete "Berichtsdatei nicht gefunden"
* Aus Gründen der Abwärtskompatibilität ist die Verwendung der Zeichenkette "true" und "false" als Boolean in einer Datensatzauswahlformel für PostgreSQL-Datenbanken möglich.

#### API-Änderungen
* Klassen hinzugefügt
  * com.inet.problemfinder.ProblemFinder (und Unterklassen)
* Konstanten hinzugefügt
  * ReportProperties.PAPER_TABLOID
* Hinzugefügte Methoden
  * com.inet.report.chart.plot.AbstractPlot
    * getGradientSetting()
    * setGradientSetting(GradientSetting)
* Entfernte Konstanten
  * ReportProperties.PATER_TABLOID
* Entfernte veraltete Klassen, Methoden und Konstanten
  * com.inet.report.RDC
    * getConfigurationProperties()
    * setConfigurationProperties(Eigenschaften)
    * getCrystalClearPropertyPath()

### i-net Clear Reports Viewer
* Im Exportdialog ist es nun möglich, ein Benutzer- und/oder Eigentümer-Passwort für die Verschlüsselung der erstellten PDF-Dateien anzugeben.

#### Geändertes Verhalten
* Java 5 erforderlich.

### i-net Designer
* Der Dialog Seitenlayout wurde überarbeitet.
  * Es gibt jetzt eine Vorschau, die alle Ränder, Lücken und Spalten mit Beispieldaten anzeigt.
  * Viele Bugs wurden behoben.
  * Der Dialog hat ein neues und verbessertes Look&Feel.
  * Verbesserte Fehlerbehandlung.
  * Neue Etiketten von Avery und Herma wurden hinzugefügt.
* Der Formel-Editor-Dialog wurde überarbeitet.
  * Jetzt ist es möglich, mehrere Formeln im Formeleditor zu erstellen/zu bearbeiten, ohne ihn zu schließen und wieder zu öffnen.
  * Der Dialog hat ein neues und verbessertes Look&Feel.
  * Neue Formelfunktion 'SectionPosition' hinzugefügt. Sie gibt die relative Position des aktuellen Abschnitts auf der Seite zurück.
  * Es ist möglich, im Formeleditor benutzerdefinierte Funktionen für den Bericht zu erstellen.
* Problem Finder hinzugefügt, um Warnungen im Berichtsentwurf anzuzeigen und zu beheben. Wenn er aktiviert ist, wird er auf der linken Seite unter dem Feldbrowser angezeigt.
* Neue Formelfunktionssignatur für 'ToWords' hinzugefügt. Sie ermöglicht die Einstellung des Übersetzungsgebietsschemas.
* Verläufe in Diagrammen werden unterstützt.
* Beim Starten der Free Designer Edition von i-net Clear Reports wird eine neue Konfiguration für den aktuellen Benutzer erstellt, falls noch keine vorhanden ist.
* Parameterfeld-Eigenschaften:
  * Es ist nun möglich, Formeln für Standardwerte im i-net Designer oder über API einzugeben (siehe Klasse FormulaDefaultValue). Das bedeutet, dass Sie z.B. für eine Datumsabfrage eine Formel "currentdate" als Standardwert eingeben können. Dies führt dazu, dass das aktuelle Datum immer ein Standardwert für diese Abfrage ist.
* Funktion "Format Painter" hinzugefügt.
* Fehlerdialoge im i-net Designer zeigen jetzt Fehlermeldungen der Report-Engine einschließlich Fehlernummern an.
* funktion "Berichtsdaten-Cache" hinzugefügt. Er speichert die Berichtsdaten, um die Anzahl der Datenbankabfragen im i-net Designer zu reduzieren. Er kann in der Konfigurationsmanager-Kategorie "Performance" aktiviert/deaktiviert werden.

#### Geändertes Verhalten
* Java 6 erforderlich.
* Der Performance-Fehler beim Löschen einer Kreuztabelle mit vielen Zeilen oder/und Spalten wurde verbessert.
* Diagramm-Eigenschaften: Es ist nun möglich, verschiedene Farbformeln für kombinierte Diagramme festzulegen.
* Der Designer verwendet jetzt den Spaltenalias (falls eingestellt), um die Datenbankfelder anzuzeigen.
* Die Eigenschaft Balkenbreite in der Registerkarte Plot des Dialogs Diagrammeigenschaften funktioniert jetzt mit allen Konfigurationen des Datensatzes und auch mit gestapelten Balkendiagrammen.
* Dialogfeld Seitenlayout: Die verfügbaren Papierformate werden jetzt gruppiert angezeigt.
* Verschiedene Fehlermeldungen wurden verbessert und Details hinzugefügt.
* In verschiedenen Fällen "fror" der i-net Designer ein, bis die Datenbank Informationen zurückgab. Diese Informationen werden nun im Hintergrund abgerufen, so dass die Darstellung reaktionsschnell bleibt.
* Die Statusleiste zeigt Position und Größe des ausgewählten Berichtselements im Bereich der Entwurfsansicht an.
* Problem-Finder:
  * ersetzt nicht mehr den kompletten Baum, sondern aktualisiert ihn, um den Expansions-/Selektionsstatus besser zu erhalten.
  * ist nun in der Lage, gefundene Probleme von Unterberichten direkt aus dem Hauptbericht zu beheben.
  * zeigt jetzt eine neue Warnung an, wenn die Bean-Klasse für eine verwendete Java-Bean nicht verfügbar ist.

#### API-Änderungen
* Entfernte Methoden
  * com.inet.designer.AbstractDesignerDataModel
    * getCustomReportTypes()
  * com.inet.designer.DesignerDataModel
    * getCustomReportTypes()
    * isOpenDriverLibrariesAllowed()
    * setOpenDriverLibrariesAllowed(boolean)
* Entfernte veraltete Methoden
  * com.inet.designer.DesignerDataModel
    * chooseReportFile(Komponente)
  * com.inet.designer.BasicDesignerDataModel
    * chooseReportFile(Komponente)

### Ad Hoc Reporting
* Für den AdHoc Swing Client kann nun ein MessageAdapter implementiert und in der AHConfig gesetzt werden. Dieser Adapter wird für jeden Meldungsdialog des AdHoc-Clients aufgerufen und ermöglicht so die Implementierung eines eigenen Meldungshandlings.

### Konfigurations-Manager
* Eigenschaftskatalog und Schema zur Datenquellenkonfiguration hinzugefügt, so dass es möglich ist, die Werte zur Designzeit zu ändern.

#### Geändertes Verhalten
* Es ist nun möglich, Netzwerkfreigaben als Repository-Speicherorte im Remote-Konfigurationsmanager hinzuzufügen.
* Backslashes in Benutzernamen werden in den Kategorien "Benutzerverzeichnisse", "Berichtsberechtigungen" und "Systemberechtigungen" in Schrägstriche umgewandelt.  

### Repository
* Das Repository erlaubt nun die Verwendung von Benutzerverzeichnissen.

### Planer
* Beim Hinzufügen einer Berichtsaktion zeigt die Funktion "Prompts scannen" aus Berichten nun keine Liste von Standardwerten für Prompts mehr an, die nur einen Wert akzeptieren. Stattdessen wird der erste Standardwert als Vorgabe eingetragen, die manuell geändert werden kann.

### Einrichtung
* Der Name des Standard-Servlet-Kontextes lautet "reporting" statt "crystalclear".
* Websphere Version 7 (oder höher) ist erforderlich, da Java 6 (oder höher) erforderlich ist.
* Der Dialog für die Datenquellenzuordnung für Weblogic und Websphere Application Server wurde entfernt.

### .Net Edition
* Wenn der .NET-basierte Clear Reports-Dienst gestartet wird, während der Port bereits durch eine andere Instanz blockiert ist, wird jetzt eine bessere Fehlermeldung angezeigt.

[bugfixes]
* Crosstab: Manual Formating formula was not counted by the reference counter, which may have cause under some condition, that this formula was not evaluated correctly.
* HTML Export: 
  * Hyperlinks on Java beans and charts has not worked.
  * Rounding error occurred by calculating the font size.
* All images having the same image key are now considered as the same image in Java viewer and in PDF-Export. Therefore only the first image will be rendered.
* Images were not loaded correctly if they were loaded via HTTP redirects from HTTPS to HTTP.
* The "image key" property formula was not correctly saved and loaded in reports, which meant it had to be re-entered each time a report was loaded.
* Crosstabs in Crystal Reports templates with no rows and/or columns were incorrectly read due to a bug in the Crystal Reports API. This bug is now worked around by the i-net Clear Reports Report Reader.
* Certain summary fields of charts in Crystal Reports templates were incorrectly read due to a bug in the Crystal Reports API. This bug is now worked around in the i-net Clear Reports Report Reader.
* The group labels in the report page and group tree were not correct when grouping on formula and group selection formula were used.
* In the rare case multiple summary fields with the same names but varying parameters were used in multiple formulas which were used in a crosstab, the crosstab could have issues rendering the summary.
* The order of hierachical groups with descending order was incorrect.
* A graphical defect with the white strips in the continuous area chart has occurred.
* Subreports which could not be read in Crystal Reports templates caused the warning message which was displayed while loading to become longer and longer because the older messages were not reset. Now the warning message is reset after each conversion.
* Endless loop occurred because of java.util.WeakHashMap, which is a non-thread safe object.
* A section was suppressed, if it contains a Java Bean only and "Suppress Blank Section" was enabled.
* Subreports with special fields as subreport links could not be loaded correctly. 
* **Configuration Manager**: Property "All JNDI locations allowed" in the category "Report Permissions" has not worked if i-net Crystal-Clear was running on Jetty application server.
* **Remote Interface**: WebDav interface did not return folders and files if special chars are included in the names.
* **Repository**: Encoding problems of folder an file names has occurred in the repository. 
* **Scheduler**: NullPointerException occurred sometimes while stopping the scheduler.
* **Setup**: Start scripts were missing if i-net Crystal-Clear was installed on Solaris as standalone application.

### i-net Clear Reports viewer
* With multiple value prompts containing descriptions it could occur that the description was added to the chosen values.
* Various small GUI issues were solved for multiple prompt value entries in the prompt dialog.
* If a prompt was marked as "default values only" it still had the "no value" button enabled for it if it was a string prompt. However, toggling this button had no effect since "no value" was not a default value. Now the button is hidden if a prompt is set as "default values only".
* The width of the margins on the printout did not match the designed margins, if the default paper size of the printer was Letter and the designed paper size was A4 and vice versa and you changed the paper size in the print dialog to the designed paper size.
* In the case of an HTTP 302 error in its POST request, the viewer would fall back to a GET request without logging the 302.

### i-net Designer
* When previewing the same report in the designer more than once, the report was rendered twice for each additional preview.
* NullPointerException occurred when opening a report in the i-net Designer on Unix systems where no /media folder is present.
* Welcome Page: It was not possible to open a report from the list of recent reports containing the character "#" in it's path.
* SQL Editor: New line after the keyword "Select" was detected as error.
* NullPointerException occurred if the i-net Designer was used as remote Designer (JNLP) and i-net Crystal-Clear was running on JBoss.
* Memory leak in the Chart Properties dialog occurred.
* A possible deadlock situation on opening reports was removed.
* Viewing the preview of a report in the designer could lock up the designer for a while as long as the database server did not respond.
* Wrong error message has been displayed if a "report as folder" was saved in a directory for that the user does not have the necessary permissions.
* Better error message when a "Crystal Reports" report is opened in the Online Designer.
* Entering numbers as parameter default values in the parameter field properties dialog had locale issues for locales which do not use "." as the decimal separator.
* Problem Finder:
  * has not kept the state of the warnings/errors when switching between main and subreport.
  * will no longer show incorrect warnings for on demand subreports.
  * shows a warning about an error in a property formula also, if the related element has been removed in the meantime.
* IllegalArgumentException occurred when dragging a chart to the size of zero in i-net Designer.
* Because of an error a rpt file was overwritten if the i-net Designer with called with "–new parameter" pointing to an existing report.
* Java Bean preview in design view was wrong if a property formula was used for the scaling property of the Java Bean.
* In rare cases an IllegalArgumentException has occurred when dragging an element in the design view to a position where it forced to snap into the next section.
* Save button was not deactivated after the report was saved, if the edit modus of a text field was active.
* The custom summary name in the chart properties dialog was overwritten by next usage of the chart properties dialog.
* An exception was thrown while clicking on an error java bean (corrupted bean) in the design view of the i-net Designer.
* Minor internationalization and localization bugs has occurred in the report viewer.
* When editing prompts, if a cascading parent was chosen for a prompt which had a different table source, the OK button of the dialog could turn grey and not be re-activated.
* Only changing the case of a parameter field's name caused the error "parameter field name already exists".

### Ad Hoc Reporting
* Sort fields could be wrong if complete reports has been used as Ad Hoc layout.
* The crosstab properties "suppress subtotals" and "suppress group labels" and the number format of crosstab cells were not considered if complete reports containing a crosstab has been used as Ad Hoc layout.
* Groups settings has been changed if complete reports has been used as Ad Hoc layout.
* Unknown protocol error occurred in the ad hoc applet, if the server used a repository for the ad hoc layouts.
* A click on the ESC button has closed the complete dialog instead of the pop-up menu.

[bugfixes:de]
* Kreuztabelle: Manuelle Formatierungsformel wurde vom Referenzzähler nicht gezählt, was unter Umständen dazu geführt hat, dass diese Formel nicht korrekt ausgewertet wurde.
* HTML-Export:
  * Hyperlinks auf Java Beans und Diagrammen haben nicht funktioniert.
  * Bei der Berechnung der Schriftgröße trat ein Rundungsfehler auf.
* Alle Bilder, die den gleichen Bildschlüssel haben, werden jetzt im Java-Viewer und im PDF-Export als das gleiche Bild betrachtet. Daher wird nur noch das erste Bild gerendert.
* Bilder wurden nicht korrekt geladen, wenn sie über HTTP-Redirects von HTTPS nach HTTP geladen wurden.
* Die Formel für die Eigenschaft "Bildschlüssel" wurde in Berichten nicht korrekt gespeichert und geladen, so dass sie bei jedem Laden eines Berichts neu eingegeben werden musste.
* Kreuztabellen in Crystal Reports-Vorlagen ohne Zeilen und/oder Spalten wurden aufgrund eines Fehlers in der Crystal Reports-API nicht korrekt gelesen. Dieser Fehler wird nun durch den i-net Clear Reports Report Reader umgangen.
* Bestimmte Zusammenfassungsfelder von Diagrammen in Crystal-Reports-Vorlagen wurden aufgrund eines Fehlers in der Crystal-Reports-API nicht korrekt gelesen. Dieser Fehler wurde nun im i-net Clear Reports Report Reader behoben.
* Die Gruppenbeschriftungen auf der Berichtsseite und in der Gruppenstruktur waren nicht korrekt, wenn Gruppierung nach Formel und Gruppenauswahlformel verwendet wurden.
* In dem seltenen Fall, dass mehrere Zusammenfassungsfelder mit denselben Namen, aber unterschiedlichen Parametern in mehreren Formeln verwendet wurden, die in einer Kreuztabelle verwendet wurden, konnte die Kreuztabelle Probleme beim Rendern der Zusammenfassung haben.
* Die Reihenfolge von hierarchischen Gruppen mit absteigender Reihenfolge war falsch.
* Ein grafischer Fehler mit den weißen Streifen im kontinuierlichen Flächendiagramm ist aufgetreten.
* Bei Subreports, die nicht in Crystal Reports Vorlagen eingelesen werden konnten, wurde die Warnmeldung, die beim Laden angezeigt wurde, immer länger, da die älteren Meldungen nicht zurückgesetzt wurden. Jetzt wird die Warnmeldung nach jeder Konvertierung zurückgesetzt.
* Eine Endlosschleife trat wegen java.util.WeakHashMap auf, die ein nicht thread-sicheres Objekt ist.
* Ein Abschnitt wurde unterdrückt, wenn er nur eine Java Bean enthält und "Suppress Blank Section" aktiviert war.
* Subreports mit speziellen Feldern als Subreport-Links konnten nicht korrekt geladen werden.
* **Konfigurationsmanager**: Die Eigenschaft "All JNDI locations allowed" in der Kategorie "Report Permissions" hat nicht funktioniert, wenn i-net Crystal-Clear auf einem Jetty Application Server lief.
* **Remote-Schnittstelle**: Die WebDav-Schnittstelle gab keine Ordner und Dateien zurück, wenn Sonderzeichen in den Namen enthalten waren.
* **Repository**: Kodierungsprobleme bei Ordner- und Dateinamen sind im Repository aufgetreten.
* **Scheduler**: NullPointerException trat manchmal beim Stoppen des Schedulers auf.
* **Setup**: Startskripte fehlten, wenn i-net Crystal-Clear auf Solaris als eigenständige Anwendung installiert wurde.

### i-net Clear Reports viewer
* Bei Eingabeaufforderungen mit mehreren Werten, die Beschreibungen enthalten, konnte es vorkommen, dass die Beschreibung zu den gewählten Werten hinzugefügt wurde.
* Verschiedene kleine GUI-Probleme wurden für die Eingabe von mehreren Prompt-Werten im Prompt-Dialog gelöst.
* Wenn eine Eingabeaufforderung als "nur Standardwerte" markiert war, war immer noch die Schaltfläche "kein Wert" für diese Eingabeaufforderung aktiviert, wenn es sich um eine Zeichenfolge handelte. Das Umschalten dieser Schaltfläche hatte jedoch keine Wirkung, da "kein Wert" kein Standardwert war. Jetzt ist die Schaltfläche ausgeblendet, wenn eine Eingabeaufforderung als "nur Standardwerte" festgelegt ist.
* Die Breite der Ränder auf dem Ausdruck stimmte nicht mit den entworfenen Rändern überein, wenn das Standardpapierformat des Druckers Letter und das entworfene Papierformat A4 war und umgekehrt und Sie das Papierformat im Druckdialog auf das entworfene Papierformat geändert haben.
* Im Falle eines HTTP 302-Fehlers in seiner POST-Anforderung würde der Viewer zu einer GET-Anforderung zurückkehren, ohne die 302 zu protokollieren.

### i-net Designer
* Wenn derselbe Bericht im Designer mehr als einmal in der Vorschau angezeigt wurde, wurde der Bericht bei jeder zusätzlichen Vorschau zweimal gerendert.
* NullPointerException trat beim Öffnen eines Berichts im i-net Designer auf Unix-Systemen auf, auf denen kein /media-Ordner vorhanden ist.
* Willkommensseite: Es war nicht möglich, einen Bericht aus der Liste der letzten Berichte zu öffnen, der das Zeichen "#" in seinem Pfad enthielt.
* SQL-Editor: Neue Zeile nach dem Schlüsselwort "Select" wurde als Fehler erkannt.
* NullPointerException trat auf, wenn der i-net Designer als Remote Designer (JNLP) verwendet wurde und i-net Crystal-Clear auf JBoss ausgeführt wurde.
* Es trat ein Speicherleck im Diagrammeigenschaften-Dialog auf.
* Eine mögliche Deadlock-Situation beim Öffnen von Berichten wurde beseitigt.
* Das Anzeigen der Vorschau eines Berichts im Designer konnte den Designer für eine Weile blockieren, solange der Datenbankserver nicht geantwortet hat.
* Es wurde eine falsche Fehlermeldung angezeigt, wenn ein "Bericht als Ordner" in einem Verzeichnis gespeichert wurde, für das der Benutzer nicht die erforderlichen Berechtigungen hat.
* Bessere Fehlermeldung, wenn ein "Crystal Reports"-Bericht im Online Designer geöffnet wird.
* Bei der Eingabe von Zahlen als Parameter-Standardwerte im Parameterfeld-Eigenschaften-Dialog gab es Probleme mit Gebietsschemata, die nicht "." als Dezimaltrennzeichen verwenden.
* Problem Finder:
  * hat den Status der Warnungen/Fehler beim Umschalten zwischen Haupt- und Unterbericht nicht beibehalten.
  * zeigt keine falschen Warnungen mehr für On-Demand-Subreports an.
  * zeigt eine Warnung über einen Fehler in einer Eigenschaftsformel auch dann an, wenn das zugehörige Element in der Zwischenzeit entfernt worden ist.
* IllegalArgumentException trat beim Ziehen eines Diagramms auf die Größe Null im i-net Designer auf.
* Aufgrund eines Fehlers wurde eine rpt-Datei überschrieben, wenn der i-net Designer mit "-new parameter" aufgerufen wurde und auf einen bestehenden Bericht zeigte.
* Die Java Bean-Vorschau in der Entwurfsansicht war falsch, wenn eine Eigenschaftsformel für die Skalierungseigenschaft der Java Bean verwendet wurde.
* In seltenen Fällen trat eine IllegalArgumentException auf, wenn ein Element in der Entwurfsansicht an eine Position gezogen wurde, an der es in den nächsten Abschnitt einrasten musste.
* Die Schaltfläche Speichern wurde nach dem Speichern des Berichts nicht deaktiviert, wenn der Bearbeitungsmodus eines Textfelds aktiv war.
* Der benutzerdefinierte Zusammenfassungsname im Diagrammeigenschaften-Dialog wurde bei der nächsten Verwendung des Diagrammeigenschaften-Dialogs überschrieben.
* Beim Klicken auf eine fehlerhafte Java-Bean (korrupte Bean) in der Design-Ansicht des i-net Designers wurde eine Exception ausgelöst.
* Kleinere Internationalisierungs- und Lokalisierungsfehler traten im Report Viewer auf.
* Wenn bei der Bearbeitung von Prompts ein kaskadierendes Parent für einen Prompt gewählt wurde, der eine andere Tabellenquelle hatte, konnte die OK-Schaltfläche des Dialogs grau werden und nicht wieder aktiviert werden.
* Nur die Änderung der Groß- und Kleinschreibung des Namens eines Parameterfeldes führte zu dem Fehler "Parameterfeldname existiert bereits".

### Ad-hoc-Berichte
* Sortierfelder konnten falsch sein, wenn komplette Berichte als Ad Hoc Layout verwendet wurden.
* Die Kreuztabelleneigenschaften "Zwischensummen unterdrücken" und "Gruppenbeschriftungen unterdrücken" sowie das Zahlenformat der Kreuztabellenzellen wurden nicht berücksichtigt, wenn Gesamtberichte, die eine Kreuztabelle enthalten, als Ad Hoc Layout verwendet wurden.
* Die Gruppeneinstellungen wurden geändert, wenn Gesamtberichte als Ad-hoc-Layout verwendet wurden.
* Unbekannter Protokollfehler trat im Ad-hoc-Applet auf, wenn der Server ein Repository für die Ad-hoc-Layouts verwendete.
* Ein Klick auf die ESC-Schaltfläche hat den kompletten Dialog anstelle des Popup-Menüs geschlossen.

[security]

[security:de]
